Bug 853198 - Split marvell firmware into subpackages for OLPC
Split marvell firmware into subpackages for OLPC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 13:17 EDT by Daniel Drake
Modified: 2012-11-25 10:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-25 10:18:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (3.37 KB, patch)
2012-08-30 13:17 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2012-08-30 13:17:23 EDT
Created attachment 608259 [details]
spec file patch

OLPC doesn't ship linux-firmware at the moment. This is because of its ever-growing size, the fact that we run on a small disk, and the fact that none of the hardware that we expect to be used with our platform requires something from linux-firmware.

The one exception there is the wifi card, but we have other packages for those firmwares (libertas-usb8388-firmware, libertas-sd8686-firmware).

It's time to revisit this now that we are adding a 3rd generation of marvell wifi hardware into the mix, the sd8787 on the upcoming XO-4 laptop. I presume that adding a new libertas-sd8787-firmware package would be frowned upon.

I read the discussion in bug #828050 and I'm encouraged by the acceptance of subpackages. For F18 I propose that we do something similar: we convert the libertas-usb8388-firmware and libertas-sd8686-firmware packages into subpackages of linux-firmware, orphan those old packages, and we add a new subpackage for the sd8787.

How does this sound? Here is a spec file patch that implements it.
Comment 1 Peter Robinson 2012-09-07 09:44:37 EDT
I would actually like to see the linux-firmware package broken down into some general smaller chunks as it's getting quite sizable and there's a lot that are unrelated to platforms that they're used.

Not sure the exact best way to break it down but I was thinking somewhere along the lines of:

-storage (contains FCP/FCoE/iSCSI/SCSI HBA)
-wifi (this is pretty large, some are also single platform)
-network (some wired eth need firmware such as Broadcom chips)
-arm (there's some wifi for exmaple that is ARM only)
-usb (could be used on all platforms)
-v4l
-video

There could be sub packages of some of the above too for single wifi drivers or possible to further breakdown something like storage into storage-iscsi etc.

You could then have linux-firmware as an overall meta package that will provide the same functionality to pull all firmware in so there's no random breakage similar to what xorg-x11-drivers provides.
Comment 2 Josh Boyer 2012-09-07 09:55:33 EDT
I'm really not thrilled at all with splitting linux-firmware up into a larger number of sub-categories.  In theory it sounds good, but it leads to a couple of complications:

1) All the firmware will still be installed by default via comps or whatever because if we don't do that people's machines/devices will just not work.

2) It makes the spec ugly for little gain.

About the only win it gets us is that people can uninstall various subpackages if they know their machine doesn't need it, or they can use kickstart to only install specific sets.

The comparison to xorg is misleading, because xorg-x11-drivers is purely a meta-package that pulls in other actual packages, not subpackages.  That avoids the complication of #2 above.

The only reason iwlwifi was absorbed as subpackages was because they were already existing packages and someone complained when I tried to just consume them entirely.

Let me think about this a bit more.  Feel free to add further convincing arguments if you have them.
Comment 3 Daniel Drake 2012-09-07 10:06:42 EDT
I agree with your concerns about the sub-category idea.

But going back to the issue in question, what OLPC is facing here is very similar to the iwlwifi case. So please consider the original request independently.
Comment 4 Josh Boyer 2012-09-18 15:47:28 EDT
(In reply to comment #3)
> But going back to the issue in question, what OLPC is facing here is very
> similar to the iwlwifi case. So please consider the original request
> independently.

Applied to F18/master.  You'll need to EOL the separate packages once this is available in the F18 repos.

Apologies for the delay here.
Comment 5 Fedora Update System 2012-09-18 15:59:26 EDT
linux-firmware-20120720-0.3.git7560108.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/linux-firmware-20120720-0.3.git7560108.fc18
Comment 6 Fedora Update System 2012-09-20 01:59:39 EDT
Package linux-firmware-20120720-0.3.git7560108.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing linux-firmware-20120720-0.3.git7560108.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14403/linux-firmware-20120720-0.3.git7560108.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-25 08:52:57 EDT
linux-firmware-20120925-0.1.git236367d.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/linux-firmware-20120925-0.1.git236367d.fc18

Note You need to log in before you can comment on or make changes to this bug.